#{extends 'border.html'/}
<div class="container-fluid">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{purchasing.PaketCtr.index()}">&{'daftar_paket.label'}</a></li>
                <li><a href="${paket?.getDetailUrl()}">&{'detail_paket.label'}</a></li>
                <li class="active">&{'riwayat_negosiasi.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        #{alert /}
        </div>
    </div>

#{form @purchasing.PaketCtr.negosiasiSubmit(), method:'POST', name:'frmNegosiasi'}
    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                <a href="${paket?.getDetailUrl()}" class="btn btn-sm btn-default"><i
                        class="fa fa-arrow-circle-left"></i> &{'kembali.label'}</a>&nbsp;
            </div>
            <!-- End Toolbar -->
        </div>
    </div>
    #{if paket != null}
        <div class="row">
            <div class="detail-wrapper">
                <div class="row">
                    <div class="detail-header">
                        <div class="col-md-12">
                            <h5>&{'negosiasi_paket.label'} ${paket.no_paket}</h5>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="detail-footer">
                        <div class="col-md-12">
                            <div class="panel panel-default" style="overflow-x: scroll">
                                <div class="panel-body" style="overflow-x: auto; width: 1500px">
                                    #{set rowspan: (paket?.kurs != null && paket?.kurs?.id != models.masterdata.Kurs.kurs_utama) ? 'rowspan=\'2\'' : '' /}

                                    <table class="table table-condensed table-striped table-bordered" id="tableNego">
                                        <thead>
                                        <tr>
                                            <th rowspan="2">&{'revisi.label'}</th>
                                            <th rowspan="2">&{'tanggal_revisi.label'}</th>
                                            <th rowspan="2">&{'nama_produk.label'}</th>
                                            <th rowspan="2">&{'kuantitas.label'}</th>
                                            <th rowspan="2">&{'mata_uang.label'}</th>
                                            <th colspan="3">&{'harga_kesepakatan.label'}</th>
                                            #{if aktifUser.isPpk() || aktifUser.isPp()}
                                                <th rowspan="2" hidden="hidden">&{'harga_terbaik.label'}</th>
                                            #{/if}
                                            <th rowspan="2">&{'catatan_tambahan.label'}</th>
                                            <th rowspan="2">&{'total_harga.label'}</th>
                                            <th rowspan="2">&{'total_harga.label'} &{'paket.label'} </th>
                                        </tr>
                                        <tr>
                                            <th>&{'harga_satuan.label'}</th>
                                            <th>&{'referensi_ongkos_kirim.label'}</th>
                                            <th>&{'tanggal_pengiriman.label'}</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                            #{set rev: -1 /}
                                            #{list items:paket.negotiationsHistory, as:'item'}
                                            <tr>
                                                #{if item.revisi == 0}
                                                    #{if rev != item.revisi}
                                                        <td rowspan="${nego.get(item.revisi).total_produk}">&{'harga_awal.label'}</td>
                                                        <td rowspan="${nego.get(item.revisi).total_produk}">${utils.DateTimeUtils.formatDateToString(item.created_date,"dd-MM-yyyy")}</td>
                                                        *{<td rowspan="${paket?.products?.size()}" style="width: 150px"><span}*
                                                                *{class="currency">${item.harga_total}</span>}*
                                                        *{</td>}*
                                                    #{/if}
                                                #{/if}
                                                #{if item.revisi != 0}
                                                    #{if rev != item.revisi}
                                                        *{#{set rev: item.revisi /}}*
                                                        <td rowspan="${nego.get(item.revisi).total_produk}">Rev. ${item.revisi}</td>
                                                        <td rowspan="${nego.get(item.revisi).total_produk}">${utils.DateTimeUtils.formatDateToString(item.created_date,"dd-MM-yyyy")}</td>
                                                        *{<td rowspan="${paket?.products?.size()}" style="width: 150px"><span}*
                                                                *{class="currency">${item.harga_total}</span>}*
                                                        *{</td>}*
                                                    #{/if}
                                                #{/if}
                                            *{#{list items:paket?.products, as:'item'}}*
                                            *{<tr>}*
                                                <td width="200">
                                                    <a href="${produk?.get(item?.produk_id)?.getDetailUrl()}">
                                                    <p>${item.no_produk}</p>
                                                    <h6>${item.nama_manufaktur} ${item.nama_produk}</h6>
                                                    </a>
                                                </td>
                                                <td class="column-right" >${item.kuantitas.format("###.##")}
                                                </td>
                                                <td>${item.nama_kurs}</td>
                                                <td style="width: 150px">
                                                <span
                                                        class="currency">${item.harga_satuan.format("###.##")}</span>
                                                </td>
                                                <td>
                                                <span
                                                        class="currency">${item.harga_ongkir.format("###.##")}</span>
                                                </td>
                                                <td >
                                                ${item.batas_pengiriman==null?item.batas_pengiriman:ext.FormatUtils.format(item.batas_pengiriman,"dd-MM-yyyy")}
                                                </td>
                                                <td width="200">${item.catatan}
                                                </td>
                                                <td style="width: 150px"><span
                                                        class="currency">${item.harga_total.format("###.##")}</span>
                                                </td>
                                                #{if rev != item.revisi}
                                                    #{set rev: item.revisi /}
                                                    <td rowspan="${nego.get(item.revisi).total_produk}" style="width: 150px"><span
                                                            class="currency">${nego.get(item.revisi).harga_total.format("###.##")}</span>
                                                    </td>
                                                #{/if}
                                            *{</tr>}*
                                            *{#{/list}}*
                                            </tr>
                                            #{/list}
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    #{/if}
    #{else}
        <div class="row">
            <div class="produk-list-wrapper">
                <div class="item-empty">
                    <h3>Maaf, Negosiasi produk yang anda cari tidak ditemukan.</h3>
                    <p>Cek kembali paket yang anda pilih atau mungkin anda tidak memiliki hak akses untuk negosiasi
                        tersebut.</p>
                </div>
            </div>
        </div>
    #{/else}
#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">

    var frmNegosiasi = $("form[name=frmNegosiasi]");

    $(document).ready(function () {
        $(".currency").convertThousand();
        var hg = $("#hargaSatuan");
        $("input[name='batasPengiriman']").datetimepicker({
            locale: 'id',
            format: 'DD-MM-YYYY'
        });
    })

    function calculatePrice(id) {
        var kursNilai = myParseFloat($("#kurs_nilai").val());
        var hargaSatuan = myParseFloat($("#harga_satuan_" + id).val());
        var hargaOngkir = myParseFloat($("#harga_ongkir_" + id).val());
        var kuantitas = myParseFloat($("#kuantitas_" + id).val());
        var total = (hargaSatuan * kuantitas) + hargaOngkir;

        $("#harga_total_" + id).val(total);

        if (kursNilai > 1) {
            $("#harga_satuan_konversi_" + id).val(hargaSatuan * kursNilai);
            $("#harga_ongkir_konversi_" + id).val(hargaOngkir * kursNilai);
            $("#harga_total_konversi_" + id).val(total * kursNilai);
        }

        var ids = frmNegosiasi.find("input[name=produkIds]");
        var grandTotal = 0;
        ids.each(function () {
            var produkId = $(this).val();
            var total = myParseFloat($("#harga_total_" + produkId).val());
            grandTotal += total;
        });
        $("#lbl_total_harga").html(grandTotal);

        $(".currency").convertThousand();
    }

    $(".harga-satuan").on('change', function () {
        calculatePrice($(this).data("id"));
    });

    $(".harga-ongkir").on('change', function () {
        calculatePrice($(this).data("id"));
    });

    //prevent minus
    $(".harga-satuan").on('keyup', function () {
        var id = $(this).data("id");//get this id
        var hargaSatuan = myParseFloat($("#harga_satuan_" + id).val());

        if (isNaN(hargaSatuan) || hargaSatuan < 0) {
            $("#harga_satuan_" + id).val('0');
        }
        //if '-' on right
        if ($("#harga_satuan_" + id).val().indexOf('-') >= 0) {
            $("#harga_satuan_" + id).val('0');
        }
    });
    //prevent minus
    $(".harga-ongkir").on('keyup', function () {
        var id = $(this).data("id");//get this id
        var hargaOngkir = myParseFloat($("#harga_ongkir_" + id).val());

        if (isNaN(hargaOngkir) || hargaOngkir < 0) {
            $("#harga_ongkir_" + id).val('0');
        }
        //if '-' on right
        if ($("#harga_ongkir_" + id).val().indexOf('-') >= 0) {
            $("#harga_ongkir_" + id).val('0');
        }
    });


</script>
#{/set}